﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using Syncfusion.Windows.Forms.Edit.Implementation.Config;

namespace WindowsFormsApplication59
{
    public partial class Form1 : Form
    {
        private string BasePath = Path.GetDirectoryName(Application.ExecutablePath) + @"\..\..\Form2.cs";
        public Form1()
        {
            InitializeComponent();

            this.editControl1.SaveOnClose = false;

            this.editControl1.Configurator.Open(@"..\\..\\Config.xml");

            this.editControl1.ApplyConfiguration("C#");

            this.Text = "EditControl";

            // Add split and lexem for TEST2

            //this.editControl1.Language.Splits.Add(new Split(".TEST2"));     // this works

            this.editControl1.LoadFile(BasePath);

            this.editControl1.Language.Splits.Add(new Split(".TEST2"));   // this does not work, after file is loaded

            var lexem = new ConfigLexem("TEST2", "", Syncfusion.Windows.Forms.Edit.Enums.FormatType.KeyWord, false);

            this.editControl1.Language.Lexems.Add(lexem);

            this.editControl1.Language.ResetCaches();

            // To re-apply the configuration
            this.editControl1.ApplyConfiguration(this.editControl1.Language);
        }
    }
}
